4Suite™ API Documentation

# ► Module Ft.Lib.DistExt.InstallDocs

Classes: InstallDocs

## Classes

class InstallDocs(distutils.cmd.Command)

### Methods

finalize_options(self)
get_inputs(self)
get_outputs(self)
initialize_options(self)
run(self)

### Methods inherited from class distutils.cmd.Command

__getattr__, __init__, announce, copy_file, copy_tree, debug_print, dump_options, ensure_dirname, ensure_filename, ensure_finalized, ensure_string, ensure_string_list, execute, get_command_name, get_finalized_command, get_sub_commands, make_archive, make_file, mkpath, move_file, reinitialize_command, run_command, set_undefined_options, spawn, warn

### Fields

boolean_options = ['force', 'skip-build']
command_name = 'install_docs'
description = 'install documentation'
user_options = [('install-dir=', 'd', 'directory to install documentation to'), ('build-dir=', 'b', 'build directory (where to install from)'), ('force', 'f', 'force installation (overwrite existing files)'), ('skip-build', None, 'skip the build steps')]

### Fields